Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SString Class Reference
[Unicode core]

Inheritance diagram for SString:

## Detailed Description

Static unicode string.

Static string, do not depend on called character data.

## Public Member Functions
| SString (const String *cstring, int s=0, int l=-1)
| Static string constructor from String source.
| SString (const String &cstring, int s=0, int l=-1)
| Static string constructor from String source.
| SString (char *str, int enc=-1)
| Static string constructor from char stream.
| SString (int no)
| Static string constructor from integer number.
| ~SString ()
| Empty static string constructor.
String * | substring (int s, int l=-1) const
wchar | operator[] (int i) const
int | length () const
## Protected Member Functions
void | construct (const String *cstring, int s, int l)
## Protected Attributes
wchar * | wstr
int | len

## Constructor & Destructor Documentation

SString::SString | ( | const String * | cstring,
|  | int | s = `0`,
|  | int | l = `-1`
| ) |

  | Static string constructor from String source. Parameters:
  | cstring | source string, can't be null.

SString::SString | ( | const String & | cstring,
|  | int | s = `0`,
|  | int | l = `-1`
| ) |

  | Static string constructor from String source. Parameters:
  | cstring | source string, can't be null.

SString::SString | ( | char * | str,
|  | int | enc = `-1`
| ) |

  | Static string constructor from char stream. Parameters:
  | str | source string, can't be null.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.